Param(
    [string]
    $ComputerName
)

If ($PSBoundParameters.ContainsKey('ComputerName')) {
    $GetITDExpiredFilesParams = @{
        ComputerName = $ComputerName;
    }
    Get-ITDExpiredFilesAuto @GetITDExpiredFilesParams -Credential $Secret:itdsccmsrvcpiandgov -Verbose | Select-Object Name,DirectoryName,Extension,LastWriteTime,Length,PSComputerName
} Else {
    Get-ITDExpiredFilesAuto -Credential $Secret:itdsccmsrvcpiandgov -Verbose | Select-Object Name,DirectoryName,Extension,LastWriteTime,Length,PSComputerName
}